Time tracking

Get Org Timesheet Periods

Cursor-paginated org timesheet periods with status/compliance filters and violation/warning counts.

GEThttps://api.toku.com/hris/get-org-timesheet-periods

Required scope: time:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-org-timesheet-periods' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "items": [
    {
      "timesheetPeriodID": "string",
      "roleInOrgID": "string",
      "employeeName": "string",
      "workEmail": "string",
      "department": "string",
      "countryCode": "string",
      "periodType": "string",
      "periodStart": "string",
      "periodEnd": "string",
      "status": "string",
      "complianceStatus": "string",
      "totalNetMinutes": 0,
      "totalOvertimeMinutes": 0,
      "entryCount": 0,
      "violationCount": 0,
      "warningCount": 0,
      "employeeSignedAt": "string",
      "escalatedAt": "string"
    }
  ],
  "totalCount": 0,
  "nextCursor": "string",
  "hasNextPage": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

statusstring | string[]
complianceStatusstring | string[]
countryCodestring

Available options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE

periodTypestring

Available options: WEEKLY, MONTHLY

periodStartFromstring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

periodStartTostring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

searchstring

Allowed: at most 200 characters

limitinteger

Allowed: 1 to 200

cursorstring<uuid>

Response

200Successful response
itemsobject[]required
Show child attributes
timesheetPeriodIDstringrequired
roleInOrgIDstringrequired
employeeNamestringrequired
workEmailstring | nullrequired
departmentstring | nullrequired
countryCodestring | nullrequired
periodTypestringrequired
periodStartstringrequired
periodEndstringrequired
statusstringrequired
complianceStatusstringrequired
totalNetMinutesnumberrequired
totalOvertimeMinutesnumberrequired
entryCountnumberrequired
violationCountnumberrequired
warningCountnumberrequired
employeeSignedAtstring | nullrequired
escalatedAtstring | nullrequired
totalCountnumberrequired
nextCursorstring | nullrequired
hasNextPagebooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits